.p-contact-content h2 {
    color: var(--blue);
    margin-bottom: 20px;
}

.p-contact-links {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.p-contact-content a {
    background-color: var(--white);
    color: var(--black);
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 30px;
    border-radius: var(--radius);
    padding: 10px 10px;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.02);
}

.p-contact-svg-and-title span {
    color: var(--blue);
}

.p-contact-svg-and-title {
    display: flex;
    align-items: flex-start;
    gap: 10px;
}

.p-contact-svg-box {
    width: 18px;
    height: 24px;
}

.p-contact-svg-box svg {
    max-width: 100%;
    width: auto;
    height: auto;
    max-height: 100%;
}

.p-contact-link-text {
    text-align: right;
}

.p-contact-map-dot {
    position: relative;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: var(--blue);
}

.p-contact-map-dot::before {
    content: "";
    position: absolute;
    top: -5px;
    left: -5px;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: var(--blue);
    opacity: 0.5;
    animation: infiniteScale 1.5s cubic-bezier(0.4, 0, 0.2, 1) infinite;
}

@keyframes infiniteScale {
    0% {
        transform: scale(.5);
    }

    50% {
        transform: scale(1);
    }

    100% {
        transform: scale(.5);
    }
}

.p-contact-map {
    position: relative;
    height: 300px;
}

.p-contact-map-image {
    width: 100%;
    height: 100%;
}

.p-contact-map-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--radius);
}

.p-contact-content-and-map {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.p-contact-map-content {
    position: absolute;
    top: 40%;
    right: 30%;
}

.p-contact-map-content a {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 200px;
    background-color: var(--white);
    color: var(--black);
    padding: 10px 15px;
    opacity: 0;
    pointer-events: none;
    transition: opacity var(--timing-function);
}

.p-contact-map-content a span {
    display: block;
    font-weight: 500;
}

.p-contact-map:not(:hover) .p-contact-map-content a {
    transition-delay: .3s;
}

.p-contact-map:hover .p-contact-map-content a {
    opacity: 1;
    pointer-events: auto;
}

@media only screen and (min-width:992px) {
    .p-contact-content-and-map {
        flex-direction: row;
        gap: 50px;
    }

    .p-contact-content {
        width: calc(50% - 25px);
    }

    .p-contact-map {
        width: calc(50% - 25px);
    }

    .p-contact-content h2 {
        margin-bottom: 40px;
    }

    .p-contact-links {
        gap: 30px;
    }

    .p-contact-content a {
        padding: 15px 20px;
    }

    .p-contact-map {
        height: 354px;
    }

    .p-contact-map-content a {
        width: 230px;
    }
}

@media only screen and (min-width:1200px) {
    .p-contact-content {
        width: calc(45% - 25px);
    }

    .p-contact-map {
        width: calc(55% - 25px);
    }
}

@media only screen and (min-width:1400px) {
    .p-contact-content {
        width: calc(40% - 25px);
    }

    .p-contact-map {
        width: calc(60% - 25px);
        height: 404px;
    }
}

@media only screen and (min-width:1600px) {
    .p-contact-content-and-map {
        gap: 100px;
    }

    .p-contact-links {
        gap: 40px;
    }

    .p-contact-content a {
        padding: 23px 30px;
    }

    .p-contact-content {
        width: calc(40% - 50px);
    }

    .p-contact-map {
        width: calc(60% - 50px);
        height: 432px;
    }


}

@media only screen and (min-width:992px) and (hover:hover) {
    .p-contact-links a {
        transition: background-color var(--timing-function);
    }

    .p-contact-links a:hover {
        background-color: var(--hover-white);
    }
}